libcamera: libcamera::ipa::CameraSensorHelperFactoryBase Class Reference

libcamera v0.0.4 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
libcamera::ipa::CameraSensorHelperFactoryBase Class Referenceabstract

Base class for camera sensor helper factories. More...

Inheritance diagram for libcamera::ipa::CameraSensorHelperFactoryBase:
[legend]

## Public Member Functions
| CameraSensorHelperFactoryBase (const std::string name)
| Construct a camera sensor helper factory base.

## Static Public Member Functions
static std::unique_ptr< CameraSensorHelper > | create (const std::string &name)
| Create an instance of the CameraSensorHelper corresponding to a named factory.
static std::vector< CameraSensorHelperFactoryBase * > & | factories ()
| Retrieve the list of all camera sensor helper factories.

## Detailed Description

Base class for camera sensor helper factories.

The CameraSensorHelperFactoryBase class is the base of all specializations of the CameraSensorHelperFactory class template. It implements the factory registration, maintains a registry of factories, and provides access to the registered factories.

## Constructor & Destructor Documentation

## ◆ CameraSensorHelperFactoryBase()

libcamera::ipa::CameraSensorHelperFactoryBase::CameraSensorHelperFactoryBase | ( | const std::string | name | ) |

Construct a camera sensor helper factory base.

Parameters

  [in] | name | Name of the camera sensor helper class

Creating an instance of the factory base registers it with the global list of factories, accessible through the factories() function.

The factory name is used to look up factories and shall be unique.

## Member Function Documentation

## ◆ create()

std::unique_ptr< CameraSensorHelper > libcamera::ipa::CameraSensorHelperFactoryBase::create | ( | const std::string & | name | ) |
| static

Create an instance of the CameraSensorHelper corresponding to a named factory.

Parameters

  [in] | name | Name of the factory

Returns
  A unique pointer to a new instance of the CameraSensorHelper subclass corresponding to the named factory or a null pointer if no such factory exists

## ◆ factories()

std::vector< CameraSensorHelperFactoryBase * > & libcamera::ipa::CameraSensorHelperFactoryBase::factories | ( |  | ) |
| static

Retrieve the list of all camera sensor helper factories.

Returns
  The list of camera sensor helper factories

The documentation for this class was generated from the following files:

- src/ipa/libipa/camera_sensor_helper.h
- src/ipa/libipa/camera_sensor_helper.cpp